Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

load balancer API not working

the api at "http://developer.openstack.org/api-ref-networking-v2.html#netconn-v2-ext" works for members, pools and vips, but returns "404 resource not found" for listeners, healthmonitors and loadbalancers. Same error occurs if the demo or the admin tenant is used when retrieving the authentication token

examples of requests which do not work:

GET : OPENSTACK_IP:9696/v2.0/lb/listeners GET : OPENSTACK_IP:9696/v2.0/loadbalancers

PS : if any other version is used ( except for 2.0 ) the error is "Unknown API version specified"

does anyone know if there is an error in the Openstack API or am I making the wrong HTTP request ? ( for any reason )